aboutsummaryrefslogtreecommitdiff
path: root/package/openvmtools/S10vmtoolsd
diff options
context:
space:
mode:
authorGravatar Karoly Kasza <kaszak@gmail.com>2014-09-02 18:13:36 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-09-13 23:50:13 +0200
commit4288da4bb0f678829e7d24392831f086e5f22582 (patch)
treef8a88404bf194421df213ae4fa8cf4f2f4df3794 /package/openvmtools/S10vmtoolsd
parent1c102abb56a5396c9822bb630b6d1a31f0751548 (diff)
downloadbuildroot-4288da4bb0f678829e7d24392831f086e5f22582.tar.gz
buildroot-4288da4bb0f678829e7d24392831f086e5f22582.tar.bz2
openvmtools: new package
New package: openvmtools [Peter: add patch to fix compilation against modern glib versions] Signed-off-by: Karoly Kasza <kaszak@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/openvmtools/S10vmtoolsd')
-rw-r--r--package/openvmtools/S10vmtoolsd33
1 files changed, 33 insertions, 0 deletions
diff --git a/package/openvmtools/S10vmtoolsd b/package/openvmtools/S10vmtoolsd
new file mode 100644
index 0000000000..969ba930fa
--- /dev/null
+++ b/package/openvmtools/S10vmtoolsd
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Starts vmtoolsd for openvmtools
+#
+
+EXEC="/usr/bin/vmtoolsd"
+ARGS="-b"
+PID="/var/run/vmtoolsd.pid"
+
+case "$1" in
+ start)
+ echo -n "Starting vmtoolsd: "
+ start-stop-daemon -S -q -x $EXEC -- $ARGS $PID
+ if [ $? != 0 ]; then
+ echo "FAILED"
+ exit 1
+ else
+ echo "OK"
+ fi
+ ;;
+ stop)
+ echo -n "Stopping vmtoolsd: "
+ start-stop-daemon -K -q -p $PID
+ echo "OK"
+ ;;
+ restart|reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac